/* Calcul des nombres de valeurs               */
/* par intervalle de largeur 1.0               */
/* pour un tableau de double compris           */
/* dans l'intervalle [0.0,20.0[                */

public class ClassificationTableauEnConsole {

/* Programme principal                         */

  public static void main(String [] args) {
    Console.setTitle("ClassificationTableau");
    /* Taille du tableau                       */
    final int TAILLE = 20;
    /* Déclaration du tableau                  */
    double [] tab = new double[TAILLE];
    int i;
    int cl;
    /* Remplissage du tableau                  */
    for ( i = 0 ; i < tab.length ; i = i+1 ) {
      tab[i] = Math.random()*20.0; }
    /* Affichage des valeurs du tableau        */
    for ( i = 0 ; i < tab.length ; i = i+1 ) {
      Console.afficherln(tab[i]); }
    Console.sautDeLigne();
    /* Calcul puis affichage des nombres       */
    /* de valeurs par intervalle de largeur    */
    /* 1.0 pour le tableau de double compris   */
    /* dans l'intervalle [0.0,20.0[            */
    int [] classification = new int[20];
    for ( i = 0 ; i < classification.length ; i = i+1 ) {
      classification[i] = 0; }
    for ( i = 0 ; i < tab.length ; i = i+1 ) {
      cl =(int) tab[i];
      classification[cl] = classification[cl]+1; }
    Console.afficherln("Nombres de valeurs:");
    for ( i = 0 ; i < classification.length ; i = i+1 ) {
      Console.afficherln(i,"  ",classification[i]); }
  }
}